#
# Nastaví metriku 999 pro síťová zařízení obsahující "NDIS"
# Určeno pro výdej na mobilu
# Použití:
# powershell -executionpolicy bypass -File metrika.ps1
#

import-module nettcpip


If (-NOT ([Security.Principal.WindowsPrincipal][Security.Principal.WindowsIdentity]::GetCurrent()).IsInRole([Security.Principal.WindowsBuiltInRole] "Administrator"))

{   
    $file = '"' + $myinvocation.mycommand.definition + '"'
    #Write-Host $file
    Get-NetRoute -DestinationPrefix "0.0.0.0/0"  | Format-Table -Property "InterfaceAlias", "NextHop", "InterfaceMetric", "RouteMetric"
    Write-Host "Nastavuji metriku..."
    Start-Process -FilePath "powershell" -Verb runAs -ArgumentList "-executionpolicy bypass -File $file" -Wait -WindowStyle Hidden
    Get-NetRoute -DestinationPrefix "0.0.0.0/0"  | Format-Table -Property "InterfaceAlias", "NextHop", "InterfaceMetric", "RouteMetric"
    Break
}

Get-NetAdapter | Where-Object -FilterScript {$_.InterfaceDescription -like "*NDIS*"} |Set-NetIPInterface -InterfaceMetric 999
#Start-Sleep -s 5
